This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 600764 - segfaults in libdconfsettings.so
segfaults in libdconfsettings.so
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dconf (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-05 18:45 EDT by Gene Snider
Modified: 2010-06-28 10:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:26:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gene Snider 2010-06-05 18:45:17 EDT
Description of problem:
libdconfsettings.so is segfaulting when gcm-apply, gcm-preferences, or evince call it.  This may be affecting other applications as well.

Version-Release number of selected component (if applicable):
dconf-0.3.1-2.fc14.x86_64

How reproducible:
Easily

Steps to Reproduce:
1.Update to gnome-color-manager-2.30.1-2.fc13.x86_64 which dep installs dconf-0.3.1-2.fc14.x86_64
2.Try to run System > Preferences > Color Profiles or Document Viewer (evince)
3.
  
Actual results:
libdconfsettings segfaults and the application exits

Expected results:
The application should run.

Additional info:
Here are some relevant entries from /var/log/messages:

gcm-prefs[11408]: segfault at 40 ip 00007f3808adabf3 sp 00007fffcfbba168 error 4 in libdconfsettings.so[7f3808ad8000+6000]

gcm-apply[1826]: segfault at 40 ip 00007fc7305c5bf3 sp 00007fff598cb658 error 4 in libdconfsettings.so[7fc7305c3000+6000]

evince[3675]: segfault at 40 ip 00007f504d265bf3 sp 00007fff54c825a8 error 4 in libdconfsettings.so[7f504d263000+6000]

This is the last few lines of "strace evince abs-guide.pdf":

open("/home/gene/.config/dconf", O_RDONLY) = -1 ENOENT (No such file or directory)
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
Segmentation fault

Gene
Comment 1 Gene Snider 2010-06-05 18:55:07 EDT
Oops, Step 1 should read, "Update from gnome-color-manager-2.30.1-2.fc13.x86_64 to gnome-color-manager-2.31.2-4.fc14.x86_64."  Updating to the fc14 package dep installs dconf.

Sorry about that,
Gene

Note You need to log in before you can comment on or make changes to this bug.